#!/bin/bash
set -e

# Create user

cd /tmp
sudo -u postgres psql <<-EOSQL
CREATE USER intelmq WITH NOSUPERUSER NOCREATEDB ENCRYPTED PASSWORD 'intelmq';
CREATE DATABASE eventdb WITH OWNER intelmq ENCODING UTF8;
GRANT ALL PRIVILEGES ON DATABASE eventdb TO intelmq;
\c eventdb;
CREATE SCHEMA intelmq AUTHORIZATION intelmq;
EOSQL
sudo -u postgres psql <<-EOSQL
CREATE DATABASE contactdb WITH OWNER intelmq ENCODING UTF8;
GRANT ALL PRIVILEGES ON DATABASE contactdb TO intelmq;
\c contactdb;
CREATE SCHEMA intelmq AUTHORIZATION intelmq;
EOSQL

rm -f /tmp/initdb.sql
sudo -u intelmq /opt/intelmq/venv/bin/intelmq_psql_initdb
sudo -u intelmq psql eventdb -f /tmp/initdb.sql
rm -f /tmp/initdb.sql

touch /opt/intelmq/.pgsql-installed
